## org.eclipse.datatools.modelbase.dbdefinition.impl
Class UserDefinedTypeDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.UserDefinedTypeDefinitionImpl

All Implemented Interfaces:
  UserDefinedTypeDefinition

public class UserDefinedTypeDefinitionImpl
extends EObjectImpl
implements UserDefinedTypeDefinition

An implementation of the model object 'User Defined Type Definition'.

The following features are implemented:

- `Default Value Supported`
- `Distinct Type Supported`
- `Structured Type Supported`
- `Maximum Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumIdentifierLength()`
`boolean` `isDefaultValueSupported()`
`boolean` `isDistinctTypeSupported()`
`boolean` `isStructuredTypeSupported()`
`void` `setDefaultValueSupported(boolean newDefaultValueSupported)`
`void` `setDistinctTypeSupported(boolean newDistinctTypeSupported)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setStructuredTypeSupported(boolean newStructuredTypeSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isDefaultValueSupported

    public boolean isDefaultValueSupported()

  Specified by:
    `isDefaultValueSupported` in interface `UserDefinedTypeDefinition`
  Returns:
    the value of the 'Default Value Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.setDefaultValueSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_DefaultValueSupported()`

### setDefaultValueSupported

    public void setDefaultValueSupported(boolean newDefaultValueSupported)

  Specified by:
    `setDefaultValueSupported` in interface `UserDefinedTypeDefinition`
  Parameters:
    `newDefaultValueSupported` - the new value of the 'Default Value Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.isDefaultValueSupported()`

### isDistinctTypeSupported

    public boolean isDistinctTypeSupported()

  Specified by:
    `isDistinctTypeSupported` in interface `UserDefinedTypeDefinition`
  Returns:
    the value of the 'Distinct Type Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.setDistinctTypeSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_DistinctTypeSupported()`

### setDistinctTypeSupported

    public void setDistinctTypeSupported(boolean newDistinctTypeSupported)

  Specified by:
    `setDistinctTypeSupported` in interface `UserDefinedTypeDefinition`
  Parameters:
    `newDistinctTypeSupported` - the new value of the 'Distinct Type Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.isDistinctTypeSupported()`

### isStructuredTypeSupported

    public boolean isStructuredTypeSupported()

  Specified by:
    `isStructuredTypeSupported` in interface `UserDefinedTypeDefinition`
  Returns:
    the value of the 'Structured Type Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.setStructuredTypeSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_StructuredTypeSupported()`

### setStructuredTypeSupported

    public void setStructuredTypeSupported(boolean newStructuredTypeSupported)

  Specified by:
    `setStructuredTypeSupported` in interface `UserDefinedTypeDefinition`
  Parameters:
    `newStructuredTypeSupported` - the new value of the 'Structured Type Supported' attribute.
  See Also:
    `UserDefinedTypeDefinition.isStructuredTypeSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `UserDefinedTypeDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `UserDefinedTypeDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `UserDefinedTypeDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `UserDefinedTypeDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.